
/***************************************************************************
**
**    $Header:   D:/EPSLDV1/SRC/LOG/STKFRM.H__   1.8   20 Jun 1996 09:27:06   ZJRD  $
**
**    $Log:   D:/EPSLDV1/SRC/LOG/STKFRM.H__  $
** 
**    Rev 1.8   20 Jun 1996 09:27:06   ZJRD
** EasyPack/SLD Version 1.20a
** 
**    Rev 1.6   10 Jun 1996 10:21:44   ZJRD
** EasyPack/SLD Version 1.20
** 
**    Rev 1.4   29 May 1996 09:32:04   ZJRD
** No change.
** 
**    Rev 1.3   16 May 1996 09:03:16   ZJRD
** No change.
** 
**    Rev 1.2   10 May 1996 09:12:06   ZJRD
** No change.
** 
**    Rev 1.1   02 May 1996 10:27:08   ZJRD
** EasyPack/SLD Version 1.92
** 
**    Rev 1.31   18 Apr 1996 13:00:50   Shirley
** No change.
** 
**    Rev 1.30   12 Apr 1996 10:37:54   Shirley
** No change.
** 
**    Rev 1.29   02 Apr 1996 09:30:56   Shirley
** No change.
** 
**    Rev 1.28   15 Feb 1996 08:52:24   Shirley
** No change.
** 
**    Rev 1.27   12 Feb 1996 14:06:56   Shirley
** No change.
** 
**    Rev 1.26   06 Feb 1996 15:33:26   Shirley
** No change.
** 
**    Rev 1.25   06 Feb 1996 13:48:20   Shirley
** No change.
** 
**    Rev 1.24   01 Feb 1996 10:12:40   Shirley
** No change.
** 
**    Rev 1.23   26 Jan 1996 09:12:24   Shirley
** No change.
** 
**    Rev 1.22   25 Jan 1996 13:13:04   Shirley
** No change.
** 
**    Rev 1.21   24 Jan 1996 10:36:40   Shirley
** No change.
** 
**    Rev 1.20   23 Jan 1996 11:27:12   Shirley
** No change.
** 
**    Rev 1.19   18 Jan 1996 10:10:28   Shirley
** No change.
** 
**    Rev 1.18   15 Jan 1996 16:11:30   Shirley
** No change.
** 
**    Rev 1.17   04 Jan 1996 11:12:26   Shirley
** No change.
** 
**    Rev 1.16   30 Nov 1995 09:11:42   Shirley
** No change.
** 
**    Rev 1.15   28 Nov 1995 15:32:20   Shirley
** No change.
** 
**    Rev 1.14   21 Nov 1995 11:22:48   Shirley
** No change.
** 
**    Rev 1.13   13 Nov 1995 09:26:22   Shirley
** No change.
** 
**    Rev 1.12   12 Nov 1995 11:30:30   Shirley
** No change.
** 
**    Rev 1.11   08 Nov 1995 16:28:18   Shirley
** No change.
** 
**    Rev 1.10   08 Nov 1995 12:42:22   Shirley
** No change.
** 
**    Rev 1.9   02 Nov 1995 10:02:46   Shirley
** No change.
** 
**    Rev 1.8   27 Oct 1995 16:48:40   Shirley
** No change.
** 
**    Rev 1.7   27 Oct 1995 13:46:44   Shirley
** No change.
** 
**    Rev 1.6   25 Oct 1995 14:30:50   Shirley
** No change.
** 
**    Rev 1.5   18 Oct 1995 14:46:54   Shirley
** No change.
** 
**    Rev 1.4   13 Oct 1995 13:23:10   Shirley
** EasyPack/SLD Version 0.1d
** 
**    Rev 1.3   29 Sep 1995 09:51:00   Shirley
** No change.
** 
**    Rev 1.2   20 Sep 1995 10:57:14   Shirley
** EasyPack/SLD Version 0.1b
** 
**    Rev 1.1   15 Sep 1995 09:46:50   Shirley
** EasyPack/SLDV0.1a 
** 
**    Rev 1.0   07 Sep 1995 09:53:36   Shirley
** Initial revision.
**
****************************************************************************/

/////////////////////////////////////////////////////////////////////////////
//
//  File name: STKFRM.H
//
//  Description: The header file for the class: CStkFrame.
//
//  Author: Chen Jun
//
//  Date: 07/29/95
//
//  Modification:
//      1. 07/29/95, Initial version of the class: CStkFrame.
//
/////////////////////////////////////////////////////////////////////////////
#ifndef _STKFRM_
#define _STKFRM_


/////////////////////////////////////////////////////////////////////////////
// CStackFrame frame

class CStackFrame : public CMDIChildWnd
{
    DECLARE_DYNCREATE(CStackFrame)
protected:
    CStackFrame();          // protected constructor used by dynamic creation

// Attributes
public:
    CSplitterWnd m_wndSplitter;

public:
    enum { bottomHeight = 20 };
    CVarPane m_wndBottomPane;

// Operations
private:
    BOOL m_nErrorID;
    enum {
        noError = 0,        // No error.
        insufficientMemory, // Insufficient memory.
        bottomPane,         // Cannot create Bottom pane.
        failSplitter,       // Fail to create the splitter window.
        splitterPane,       // Cannot create the pane in the splitter window.
        maxError = 10       // Limition of error ID.
    };
    void DisplayErrorMessage(void) const;

// Implementation
protected:
    virtual ~CStackFrame();
    virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);

protected:

/*
    afx_msg void OnViewDisplayHorizontally();
    afx_msg void OnUpdateViewDisplayHorizontally(CCmdUI* pCmdUI);
    afx_msg void OnViewDisplayVertically();
    afx_msg void OnUpdateViewDisplayVertically(CCmdUI* pCmdUI);
    afx_msg void OnViewSortbyHistory();
    afx_msg void OnUpdateViewSortbyHistory(CCmdUI* pCmdUI);
    afx_msg void OnViewSortbyName();
    afx_msg void OnUpdateViewSortbyName(CCmdUI* pCmdUI);
    afx_msg void OnViewTypecast();
    afx_msg void OnUpdateViewTypecast(CCmdUI* pCmdUI);
*/

    // Generated message map functions
    //{{AFX_MSG(CStackFrame)
    afx_msg void OnSrchComboKillFocus();
    afx_msg void OnUpdateSearchCombo(CCmdUI* pCmdUI);
    afx_msg void OnMenuSelect(UINT nItemID, UINT nFlags, HMENU hSysMenu);
    afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
    afx_msg void OnSize(UINT nType, int cx, int cy);
    afx_msg void OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd);
    afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
    afx_msg void OnEditInspectsource();
    afx_msg void OnEditSelectLocalVariables();
    afx_msg void OnUpdateEditSelectLocalVariables(CCmdUI* pCmdUI);
    afx_msg void OnEditModifyValues();
    afx_msg void OnUpdateEditModifyValues(CCmdUI* pCmdUI);
    afx_msg void OnEditSearch();
    afx_msg void OnUpdateEditSearch(CCmdUI* pCmdUI);
    afx_msg void OnEditSearchNext();
    afx_msg void OnUpdateEditSearchNext(CCmdUI* pCmdUI);
    afx_msg BOOL OnSetCursor(CWnd* pWnd, UINT nHitTest, UINT message);
    afx_msg void OnUpdateEditInspectsource(CCmdUI* pCmdUI);
    afx_msg void OnViewFormatfunctionlist();
    afx_msg void OnUpdateViewFormatfunctionlist(CCmdUI* pCmdUI);
    afx_msg void OnViewFunctionsandlocals();
    afx_msg void OnUpdateViewFunctionsandlocals(CCmdUI* pCmdUI);
    afx_msg void OnViewFunctionsonly();
    afx_msg void OnUpdateViewFunctionsonly(CCmdUI* pCmdUI);
    afx_msg void OnShiftreturn();
    afx_msg void OnStkTab();
    afx_msg void OnViewRununtil();
    afx_msg void OnUpdateViewRununtil(CCmdUI* pCmdUI);
    afx_msg void OnViewSetbreakpoint();
    afx_msg void OnUpdateViewSetbreakpoint(CCmdUI* pCmdUI);
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif
//////////////////////////////// End of File ////////////////////////////////
